/* start module: pyjamas.gmaps.Base */
$pyjs['loaded_modules']['pyjamas.gmaps.Base'] = function (__mod_name__) {
	if($pyjs['loaded_modules']['pyjamas.gmaps.Base']['__was_initialized__']) return $pyjs['loaded_modules']['pyjamas.gmaps.Base'];
	if(typeof $pyjs['loaded_modules']['pyjamas.gmaps'] == 'undefined' || !$pyjs['loaded_modules']['pyjamas.gmaps']['__was_initialized__']) $p['___import___']('pyjamas.gmaps', null);
	var $m = $pyjs['loaded_modules']['pyjamas.gmaps.Base'];
	$m['__repr__'] = function() { return '<module: pyjamas.gmaps.Base>'; };
	$m['__was_initialized__'] = true;
	if ((__mod_name__ === null) || (typeof __mod_name__ == 'undefined')) __mod_name__ = 'pyjamas.gmaps.Base';
	$m['__name__'] = __mod_name__;
	$pyjs['loaded_modules']['pyjamas.gmaps']['Base'] = $pyjs['loaded_modules']['pyjamas.gmaps.Base'];


	$m['LatLng'] = function(lat, lng, nowrap) {
		if (typeof nowrap == 'undefined') nowrap=arguments['callee']['__args__'][4][1];

		if ($p['bool'](nowrap)) {
return new $wnd['google']['maps']['LatLng'](lat, lng, nowrap)
		}
		else {
return new $wnd['google']['maps']['LatLng'](lat, lng)
		}
		return null;
	};
	$m['LatLng']['__name__'] = 'LatLng';

	$m['LatLng']['__bind_type__'] = 0;
	$m['LatLng']['__args__'] = [null,null,['lat'],['lng'],['nowrap', true]];
	$m['LatLngBounds'] = function(sw, ne) {
		var $and1,$and2;
		if ($p['bool'](($p['bool']($and1=sw)?ne:$and1))) {
return new $wnd['google']['maps']['LatLngBounds'](sw, ne)
		}
		else {
return new $wnd['google']['maps']['LatLngBounds']()
		}
		return null;
	};
	$m['LatLngBounds']['__name__'] = 'LatLngBounds';

	$m['LatLngBounds']['__bind_type__'] = 0;
	$m['LatLngBounds']['__args__'] = [null,null,['sw'],['ne']];
	$m['MVCArray'] = function(array) {

return new $wnd['google']['maps']['MVCArray'](array)
	};
	$m['MVCArray']['__name__'] = 'MVCArray';

	$m['MVCArray']['__bind_type__'] = 0;
	$m['MVCArray']['__args__'] = [null,null,['array']];
	$m['Point'] = function(x, y) {

return new $wnd['google']['maps']['Point'](x, y)
	};
	$m['Point']['__name__'] = 'Point';

	$m['Point']['__bind_type__'] = 0;
	$m['Point']['__args__'] = [null,null,['x'],['y']];
	$m['Size'] = function(width, height, widthUnit, heightUnit) {
		var $and3,$and4;
		if ($p['bool'](($p['bool']($and3=widthUnit)?heightUnit:$and3))) {

        return new $wnd['google']['maps']['Size']
           (width, height, widthUnit, heightUnit)
        
		}
		else {
return new $wnd['google']['maps']['Size'](width, height)
		}
		return null;
	};
	$m['Size']['__name__'] = 'Size';

	$m['Size']['__bind_type__'] = 0;
	$m['Size']['__args__'] = [null,null,['width'],['height'],['widthUnit'],['heightUnit']];
	$m['Array'] = function() {

return new Array()
	};
	$m['Array']['__name__'] = 'Array';

	$m['Array']['__bind_type__'] = 0;
	$m['Array']['__args__'] = [null,null];
	return this;
}; /* end pyjamas.gmaps.Base */


/* end module: pyjamas.gmaps.Base */


